xdc.loadCapsule('xdc/om2.xs');

var $om = xdc.om;
var __CFG__ = $om.$name == 'cfg';
var __ROV__ = $om.$name == 'rov';
var $$pkgspec = xdc.$$ses.findPkg('local.targets');

/* ======== IMPORTS ======== */

    xdc.loadPackage('ti.targets');
    xdc.loadPackage('xdc');
    xdc.loadPackage('xdc.corevers');
    xdc.loadPackage('xdc.bld');

/* ======== OBJECTS ======== */

// package local.targets
    var pkg = $om.$$bind('local.targets.Package', $$PObj());
    $om.$$bind('local.targets', $$VObj('local.targets', pkg));
// interface ITIArm
    var po = $om.$$bind('local.targets.ITIArm.Module', $$PObj());
    var vo = $om.$$bind('local.targets.ITIArm', $$VObj('local.targets.ITIArm', po));
    pkg.$$bind('ITIArm', vo);
    $om.$$bind('local.targets.ITIArm.Model', $om['xdc.bld.ITarget.Model']);
    $om.$$bind('local.targets.ITIArm.DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    $om.$$bind('local.targets.ITIArm.Extension', $om['xdc.bld.ITarget.Extension']);
    $om.$$bind('local.targets.ITIArm.CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    $om.$$bind('local.targets.ITIArm.OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    $om.$$bind('local.targets.ITIArm.CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    $om.$$bind('local.targets.ITIArm.LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    $om.$$bind('local.targets.ITIArm.ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    $om.$$bind('local.targets.ITIArm.CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    $om.$$bind('local.targets.ITIArm.TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    $om.$$bind('local.targets.ITIArm.StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    $om.$$bind('local.targets.ITIArm.Command', $om['ti.targets.ITarget.Command']);
    $om.$$bind('local.targets.ITIArm.Options', $om['ti.targets.ITarget.Options']);
// module TIArm9
    var po = $om.$$bind('local.targets.TIArm9.Module', $$PObj());
    var vo = $om.$$bind('local.targets.TIArm9', $$VObj('local.targets.TIArm9', po));
    pkg.$$bind('TIArm9', vo);
    $om.$$bind('local.targets.TIArm9.Model', $om['xdc.bld.ITarget.Model']);
    $om.$$bind('local.targets.TIArm9.DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    $om.$$bind('local.targets.TIArm9.Extension', $om['xdc.bld.ITarget.Extension']);
    $om.$$bind('local.targets.TIArm9.CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    $om.$$bind('local.targets.TIArm9.OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    $om.$$bind('local.targets.TIArm9.CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    $om.$$bind('local.targets.TIArm9.LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    $om.$$bind('local.targets.TIArm9.ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    $om.$$bind('local.targets.TIArm9.CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    $om.$$bind('local.targets.TIArm9.TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    $om.$$bind('local.targets.TIArm9.StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    $om.$$bind('local.targets.TIArm9.Command', $om['ti.targets.ITarget.Command']);
    $om.$$bind('local.targets.TIArm9.Options', $om['ti.targets.ITarget.Options']);
// module TIArm11
    var po = $om.$$bind('local.targets.TIArm11.Module', $$PObj());
    var vo = $om.$$bind('local.targets.TIArm11', $$VObj('local.targets.TIArm11', po));
    pkg.$$bind('TIArm11', vo);
    $om.$$bind('local.targets.TIArm11.Model', $om['xdc.bld.ITarget.Model']);
    $om.$$bind('local.targets.TIArm11.DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    $om.$$bind('local.targets.TIArm11.Extension', $om['xdc.bld.ITarget.Extension']);
    $om.$$bind('local.targets.TIArm11.CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    $om.$$bind('local.targets.TIArm11.OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    $om.$$bind('local.targets.TIArm11.CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    $om.$$bind('local.targets.TIArm11.LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    $om.$$bind('local.targets.TIArm11.ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    $om.$$bind('local.targets.TIArm11.CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    $om.$$bind('local.targets.TIArm11.TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    $om.$$bind('local.targets.TIArm11.StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    $om.$$bind('local.targets.TIArm11.Command', $om['ti.targets.ITarget.Command']);
    $om.$$bind('local.targets.TIArm11.Options', $om['ti.targets.ITarget.Options']);
// module TIArm11D
    var po = $om.$$bind('local.targets.TIArm11D.Module', $$PObj());
    var vo = $om.$$bind('local.targets.TIArm11D', $$VObj('local.targets.TIArm11D', po));
    pkg.$$bind('TIArm11D', vo);
    $om.$$bind('local.targets.TIArm11D.Model', $om['xdc.bld.ITarget.Model']);
    $om.$$bind('local.targets.TIArm11D.DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    $om.$$bind('local.targets.TIArm11D.Extension', $om['xdc.bld.ITarget.Extension']);
    $om.$$bind('local.targets.TIArm11D.CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    $om.$$bind('local.targets.TIArm11D.OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    $om.$$bind('local.targets.TIArm11D.CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    $om.$$bind('local.targets.TIArm11D.LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    $om.$$bind('local.targets.TIArm11D.ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    $om.$$bind('local.targets.TIArm11D.CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    $om.$$bind('local.targets.TIArm11D.TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    $om.$$bind('local.targets.TIArm11D.StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    $om.$$bind('local.targets.TIArm11D.Command', $om['ti.targets.ITarget.Command']);
    $om.$$bind('local.targets.TIArm11D.Options', $om['ti.targets.ITarget.Options']);

/* ======== CONSTS ======== */

// interface ITIArm
// module TIArm9
// module TIArm11
// module TIArm11D

/* ======== CREATES ======== */

// interface ITIArm
// module TIArm9
// module TIArm11
// module TIArm11D

/* ======== FUNCTIONS ======== */


/* ======== SIZES ======== */


/* ======== TYPES ======== */

// interface ITIArm
    var po = $om['local.targets.ITIArm.Module'].$$init('local.targets.ITIArm.Module', $om['ti.targets.ITarget.Module']);
        po.$$fld('$hostonly', $$T_Num, 1, 'r');
        po.$$fld('rts', $$T_Str, "local.targets.rts470", 'rh');
        po.$$fld('stdInclude', $$T_Str, "local/targets/std.h", 'wh');
        po.$$fld('platform', $$T_Str, "ti.platforms.sim470xx", 'wh');
        po.$$fld('ar', $om['ti.targets.ITarget.Command'], $$SO({cmd: "ar470", opts: "rq"}), 'rh');
        po.$$fld('vers', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-version"}), 'rh');
        po.$$fld('lnk', $om['ti.targets.ITarget.Command'], $$SO({cmd: "lnk470", opts: ""}), 'rh');
        po.$$fld('asmOpts', $om['ti.targets.ITarget.Options'], $$SO({prefix: "-qq", suffix: ""}), 'wh');
        po.$$fld('ccOpts', $om['ti.targets.ITarget.Options'], $$SO({prefix: "-q -pdsw225", suffix: ""}), 'wh');
        po.$$fld('lnkOpts', $om['ti.targets.ITarget.Options'], $$SO({prefix: "-w -q -u _c_int00", suffix: "-c -m $(XDCCFGDIR)/$@.map "}), 'wh');
        po.$$fld('includeOpts', $$T_Str, "-I$(rootDir)/include", 'wh');
        po.$$fld('sectMap', $$PMap($$T_Str), $$SO([$$SO([".intvecs", "code"]), $$SO([".text", "code"]), $$SO([".cinit", "code"]), $$SO([".const", "code"]), $$SO([".pinit", "code"]), $$SO([".bss", "data"]), $$SO([".sysmem", "data"]), $$SO([".stack", "stack"]), $$SO([".args", "data"])]), 'rh');
// module TIArm9
    var po = $om['local.targets.TIArm9.Module'].$$init('local.targets.TIArm9.Module', $om['local.targets.ITIArm.Module']);
        po.$$fld('$hostonly', $$T_Num, 1, 'r');
        po.$$fld('name', $$T_Str, "TIArm9", 'rh');
        po.$$fld('suffix', $$T_Str, "470_9", 'rh');
        po.$$fld('isa', $$T_Str, "arm5e", 'rh');
        po.$$fld('model', $om['xdc.bld.ITarget.Model'], $$SO({endian: "little"}), 'rh');
        po.$$fld('cc', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=5e -eo.o470_9 -ea.s470_9"}), 'rh');
        po.$$fld('asm', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=5e -eo.o470_9 -ea.s470_9"}), 'rh');
        po.$$fld('linkLib', $$T_Str, "rts16earm9.lib", 'wh');
        po.$$fxn('archive', $om['xdc.bld.ITarget$$archive'], undefined);
        po.$$fxn('compile', $om['xdc.bld.ITarget$$compile'], undefined);
        po.$$fxn('scompile', $om['xdc.bld.ITarget$$scompile'], undefined);
        po.$$fxn('link', $om['xdc.bld.ITarget$$link'], undefined);
        po.$$fxn('getVersion', $om['xdc.bld.ITarget$$getVersion'], undefined);
        po.$$fxn('getISAChain', $om['xdc.bld.ITarget$$getISAChain'], undefined);
        po.$$fxn('findSuffix', $om['xdc.bld.ITarget$$findSuffix'], undefined);
// module TIArm11
    var po = $om['local.targets.TIArm11.Module'].$$init('local.targets.TIArm11.Module', $om['local.targets.ITIArm.Module']);
        po.$$fld('$hostonly', $$T_Num, 1, 'r');
        po.$$fld('name', $$T_Str, "TIArm11", 'rh');
        po.$$fld('suffix', $$T_Str, "470_11", 'rh');
        po.$$fld('isa', $$T_Str, "arm6", 'rh');
        po.$$fld('model', $om['xdc.bld.ITarget.Model'], $$SO({endian: "little"}), 'rh');
        po.$$fld('cc', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"}), 'rh');
        po.$$fld('asm', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"}), 'rh');
        po.$$fld('linkLib', $$T_Str, "rts16earm11.lib", 'wh');
        po.$$fxn('archive', $om['xdc.bld.ITarget$$archive'], undefined);
        po.$$fxn('compile', $om['xdc.bld.ITarget$$compile'], undefined);
        po.$$fxn('scompile', $om['xdc.bld.ITarget$$scompile'], undefined);
        po.$$fxn('link', $om['xdc.bld.ITarget$$link'], undefined);
        po.$$fxn('getVersion', $om['xdc.bld.ITarget$$getVersion'], undefined);
        po.$$fxn('getISAChain', $om['xdc.bld.ITarget$$getISAChain'], undefined);
        po.$$fxn('findSuffix', $om['xdc.bld.ITarget$$findSuffix'], undefined);
// module TIArm11D
    var cap = $om.$$bind('local.targets.TIArm11D$$capsule', xdc.loadCapsule('local/targets/TIArm11D.xs'));
    var po = $om['local.targets.TIArm11D.Module'].$$init('local.targets.TIArm11D.Module', $om['local.targets.ITIArm.Module']);
        po.$$fld('$hostonly', $$T_Num, 1, 'r');
        po.$$fld('name', $$T_Str, "TIArm11D", 'rh');
        po.$$fld('suffix', $$T_Str, "470_11", 'rh');
        po.$$fld('isa', $$T_Str, "arm6", 'rh');
        po.$$fld('model', $om['xdc.bld.ITarget.Model'], $$SO({endian: "little"}), 'rh');
        po.$$fld('cc', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"}), 'rh');
        po.$$fld('asm', $om['ti.targets.ITarget.Command'], $$SO({cmd: "cl470", opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"}), 'rh');
        po.$$fld('linkLib', $$T_Str, "rts16earm11.lib", 'wh');
        var fxn = cap['module$meta$init'];
        if (fxn) $om.$$bind('local.targets.TIArm11D$$module$meta$init', true);
        if (fxn) po.$$fxn('module$meta$init', $$T_Met, fxn);
        if (cap['archive']) po.$$fxn('archive', $om['xdc.bld.ITarget$$archive'], cap['archive']);
        if (cap['compile']) po.$$fxn('compile', $om['xdc.bld.ITarget$$compile'], cap['compile']);
        if (cap['scompile']) po.$$fxn('scompile', $om['xdc.bld.ITarget$$scompile'], cap['scompile']);
        if (cap['link']) po.$$fxn('link', $om['xdc.bld.ITarget$$link'], cap['link']);
        if (cap['getVersion']) po.$$fxn('getVersion', $om['xdc.bld.ITarget$$getVersion'], cap['getVersion']);
        if (cap['getISAChain']) po.$$fxn('getISAChain', $om['xdc.bld.ITarget$$getISAChain'], cap['getISAChain']);
        if (cap['findSuffix']) po.$$fxn('findSuffix', $om['xdc.bld.ITarget$$findSuffix'], cap['findSuffix']);

/* ======== ROV ======== */

if (__ROV__) {


} // __ROV__

/* ======== SINGLETONS ======== */

// package local.targets
    var po = $om['local.targets.Package'].$$init('local.targets.Package', $om['xdc.IPackage.Module']);
    po.$$bind('$capsule', undefined);
    var pkg = $om['local.targets'].$$init(po, 'local.targets', $$DEFAULT, false);
    $om.$packages.$add(pkg);
    pkg.$$bind('$name', 'local.targets');
    pkg.$$bind('$category', 'Package');
    pkg.$$bind('$$qn', 'local.targets.');
    pkg.$$bind('$spec', $$pkgspec);
    pkg.$$bind('$vers', [1, 0, 0]);
    pkg.$attr.$seal('length');
    pkg.$$bind('$imports', [
        ['ti.targets', []],
    ]);
    if (pkg.$vers.length >= 3) {
        pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
    }
    
    pkg.build.libraries = [
    ];
    
    pkg.build.libDesc = [
    ];
    if ('suffix' in xdc.om['xdc.IPackage$$LibDesc']) {
    }
    
// interface ITIArm
    var vo = $om['local.targets.ITIArm'];
    var po = $om['local.targets.ITIArm.Module'];
    vo.$$init(po, 'local.targets.ITIArm', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Interface');
    vo.$$bind('$spec', xdc.$$ses.findUnit('local.targets.ITIArm'));
    vo.$$bind('$capsule', undefined);
    vo.$$bind('$package', $om['local.targets']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('Model', $om['xdc.bld.ITarget.Model']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Model']);
    vo.$$bind('DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.DebugGen']);
    vo.$$bind('Extension', $om['xdc.bld.ITarget.Extension']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Extension']);
    vo.$$bind('CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileOptions']);
    vo.$$bind('OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.OptionSet']);
    vo.$$bind('CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileGoal']);
    vo.$$bind('LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.LinkGoal']);
    vo.$$bind('ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$bind('CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CommandSet']);
    vo.$$bind('TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.TypeInfo']);
    vo.$$bind('StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.StdTypes']);
    vo.$$bind('Command', $om['ti.targets.ITarget.Command']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Command']);
    vo.$$bind('Options', $om['ti.targets.ITarget.Options']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Options']);
    pkg.$interfaces.$add(vo);
    pkg.$$bind('ITIArm', vo);
    pkg.$unitNames.$add('ITIArm');
    vo.$seal();
// module TIArm9
    var vo = $om['local.targets.TIArm9'];
    var po = $om['local.targets.TIArm9.Module'];
    vo.$$init(po, 'local.targets.TIArm9', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Module');
    vo.$$bind('$spec', xdc.$$ses.findUnit('local.targets.TIArm9'));
    vo.$$bind('$capsule', undefined);
    vo.$$bind('$package', $om['local.targets']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('$$mcfgs', []);
    vo.$$bind('Model', $om['xdc.bld.ITarget.Model']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Model']);
    vo.$$bind('DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.DebugGen']);
    vo.$$bind('Extension', $om['xdc.bld.ITarget.Extension']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Extension']);
    vo.$$bind('CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileOptions']);
    vo.$$bind('OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.OptionSet']);
    vo.$$bind('CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileGoal']);
    vo.$$bind('LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.LinkGoal']);
    vo.$$bind('ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$bind('CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CommandSet']);
    vo.$$bind('TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.TypeInfo']);
    vo.$$bind('StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.StdTypes']);
    vo.$$bind('Command', $om['ti.targets.ITarget.Command']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Command']);
    vo.$$bind('Options', $om['ti.targets.ITarget.Options']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Options']);
    pkg.$modules.$add(vo);
    $om.$modules.$add(vo);
    vo.$$bind('$$instflag', 0);
    vo.$$bind('$$iobjflag', 1);
    vo.$$bind('$$sizeflag', 1);
    vo.$$bind('$$dlgflag', 0);
    vo.$$bind('$$iflag', 1);
    vo.$$bind('$$romcfgs', '|');
    if ('Module_State' in vo) vo.$$bind('$object', new vo.Module_State);
    vo.$$bind('$$meta_iobj', 0 + ('local.targets.TIArm9$$instance$static$init' in $om));
    vo.$$bind('$$fxntab', []);
    vo.$$bind('$$logEvtCfgs', []);
    vo.$$bind('$$errorDescCfgs', []);
    vo.$$bind('$$assertDescCfgs', []);
    vo.$attr['@TargetHeader:"xdc/bld/stddefs.xdt"'] = "xdc/bld/stddefs.xdt";
    vo.$attr.$seal('length');
    pkg.$$bind('TIArm9', vo);
    pkg.$unitNames.$add('TIArm9');
// module TIArm11
    var vo = $om['local.targets.TIArm11'];
    var po = $om['local.targets.TIArm11.Module'];
    vo.$$init(po, 'local.targets.TIArm11', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Module');
    vo.$$bind('$spec', xdc.$$ses.findUnit('local.targets.TIArm11'));
    vo.$$bind('$capsule', undefined);
    vo.$$bind('$package', $om['local.targets']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('$$mcfgs', []);
    vo.$$bind('Model', $om['xdc.bld.ITarget.Model']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Model']);
    vo.$$bind('DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.DebugGen']);
    vo.$$bind('Extension', $om['xdc.bld.ITarget.Extension']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Extension']);
    vo.$$bind('CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileOptions']);
    vo.$$bind('OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.OptionSet']);
    vo.$$bind('CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileGoal']);
    vo.$$bind('LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.LinkGoal']);
    vo.$$bind('ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$bind('CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CommandSet']);
    vo.$$bind('TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.TypeInfo']);
    vo.$$bind('StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.StdTypes']);
    vo.$$bind('Command', $om['ti.targets.ITarget.Command']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Command']);
    vo.$$bind('Options', $om['ti.targets.ITarget.Options']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Options']);
    pkg.$modules.$add(vo);
    $om.$modules.$add(vo);
    vo.$$bind('$$instflag', 0);
    vo.$$bind('$$iobjflag', 1);
    vo.$$bind('$$sizeflag', 1);
    vo.$$bind('$$dlgflag', 0);
    vo.$$bind('$$iflag', 1);
    vo.$$bind('$$romcfgs', '|');
    if ('Module_State' in vo) vo.$$bind('$object', new vo.Module_State);
    vo.$$bind('$$meta_iobj', 0 + ('local.targets.TIArm11$$instance$static$init' in $om));
    vo.$$bind('$$fxntab', []);
    vo.$$bind('$$logEvtCfgs', []);
    vo.$$bind('$$errorDescCfgs', []);
    vo.$$bind('$$assertDescCfgs', []);
    vo.$attr['@TargetHeader:"xdc/bld/stddefs.xdt"'] = "xdc/bld/stddefs.xdt";
    vo.$attr.$seal('length');
    pkg.$$bind('TIArm11', vo);
    pkg.$unitNames.$add('TIArm11');
// module TIArm11D
    var vo = $om['local.targets.TIArm11D'];
    var po = $om['local.targets.TIArm11D.Module'];
    vo.$$init(po, 'local.targets.TIArm11D', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Module');
    vo.$$bind('$spec', xdc.$$ses.findUnit('local.targets.TIArm11D'));
    vo.$$bind('$capsule', $om['local.targets.TIArm11D$$capsule']);
    vo.$$bind('$package', $om['local.targets']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('$$mcfgs', []);
    vo.$$bind('Model', $om['xdc.bld.ITarget.Model']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Model']);
    vo.$$bind('DebugGen', $om['xdc.bld.ITarget.DebugGen']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.DebugGen']);
    vo.$$bind('Extension', $om['xdc.bld.ITarget.Extension']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.Extension']);
    vo.$$bind('CompileOptions', $om['xdc.bld.ITarget.CompileOptions']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileOptions']);
    vo.$$bind('OptionSet', $om['xdc.bld.ITarget.OptionSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.OptionSet']);
    vo.$$bind('CompileGoal', $om['xdc.bld.ITarget.CompileGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CompileGoal']);
    vo.$$bind('LinkGoal', $om['xdc.bld.ITarget.LinkGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.LinkGoal']);
    vo.$$bind('ArchiveGoal', $om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.ArchiveGoal']);
    vo.$$bind('CommandSet', $om['xdc.bld.ITarget.CommandSet']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.CommandSet']);
    vo.$$bind('TypeInfo', $om['xdc.bld.ITarget.TypeInfo']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.TypeInfo']);
    vo.$$bind('StdTypes', $om['xdc.bld.ITarget.StdTypes']);
    vo.$$tdefs.push($om['xdc.bld.ITarget.StdTypes']);
    vo.$$bind('Command', $om['ti.targets.ITarget.Command']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Command']);
    vo.$$bind('Options', $om['ti.targets.ITarget.Options']);
    vo.$$tdefs.push($om['ti.targets.ITarget.Options']);
    pkg.$modules.$add(vo);
    $om.$modules.$add(vo);
    vo.$$bind('$$instflag', 0);
    vo.$$bind('$$iobjflag', 1);
    vo.$$bind('$$sizeflag', 1);
    vo.$$bind('$$dlgflag', 0);
    vo.$$bind('$$iflag', 1);
    vo.$$bind('$$romcfgs', '|');
    if ('Module_State' in vo) vo.$$bind('$object', new vo.Module_State);
    vo.$$bind('$$meta_iobj', 0 + ('local.targets.TIArm11D$$instance$static$init' in $om));
    vo.$$bind('$$fxntab', []);
    vo.$$bind('$$logEvtCfgs', []);
    vo.$$bind('$$errorDescCfgs', []);
    vo.$$bind('$$assertDescCfgs', []);
    vo.$attr['@TargetHeader:"xdc/bld/stddefs.xdt"'] = "xdc/bld/stddefs.xdt";
    vo.$attr.$seal('length');
    pkg.$$bind('TIArm11D', vo);
    pkg.$unitNames.$add('TIArm11D');

/* ======== INITIALIZATION ======== */

if (__CFG__) {
} // __CFG__
    $om['local.targets.TIArm9'].module$meta$init();
    $om['local.targets.TIArm11'].module$meta$init();
    $om['local.targets.TIArm11D'].module$meta$init();
    pkg.init();
    $om['local.targets.ITIArm'].$$bless();
    $om['local.targets.TIArm9'].$$bless();
    $om['local.targets.TIArm11'].$$bless();
    $om['local.targets.TIArm11D'].$$bless();
